Kerbal Space Program - Bug #490

Throttle Joystick axis on Linux only upper 50% range available when game is started with throttle at
0% physical.
03/23/2013 05:41 PM - dnalencastre
Severity: Normal % Done: 0%
Assignee:
Target version:
Description

Problem with in-game control range when game is started with joystick axis not at exact center.

uname -a

Linux dez.lan 3.8.3-203.fc18.x86_64 #1 SMP Mon Mar 18 12:59:28 UTC 2013 x86_64 x86_64 x86_64 GNU/Linux
Fedora release 18

When game is started with the physical throttle at 0, the in-game available throttle range is 50% to 100%

When game is started with the physical throttle at 100%, the in-game available throttle range is 0% to 50%.

When game is stared with the physical throttle at exactly 50%, the in-game available throttle range is 0% to 100%.
When game is started with the physical throttle at about 25%, the available throttle range is circa 75%.

Tests where made with the following settings:

AXIS_THROTTLE {

name = Logitech Logitech Extreme 3D 6

id = joy1.6

inv =True

sensitivity = 1

deadzone = 0

scale = 1

switchState = Any
}

The axis is inverted to accommodate the reporting of negative values on the upper range of the joystick's throttle.
Results were similar (but inverted) when inv = False .

Similar results obtained for other axis. eg: if roll axis started fully deflected to the left, only the right half of the axis roll range is
available in-game.

Work around: set the throttle at exactly 50% before starting KSP. make sure that joystick is up-right.

History

#1 - 03/24/2013 06:14 AM - sal_vager

- File game start with throttle max, max throttle.jpeg added

- File game start with throttle max, medium throttle.jpeg added
- File game start with throttle max, min throttle.jpeg added

- File game start with throttle min, max throttle.jpeg added

- File game start with throttle min, medium throttle.jpeg added
- File game start with throttle min, min throttle.jpeg added

- File game start with throttle neutral, max throttle.jpeg added

- File game start with throttle neutral, medium throttle.jpeg added
- File game start with throttle neutral, min throttle.jpeg added

- File joystick settings.jpeg added

- Status changed from New to Confirmed

- % Done changed from 0 to 10

This occurs in the supported Linux distribution as well, Ubuntu 12.04+ (Xubuntu 12.10 in this case)

Reproduction notes

The controller used for this test was a Logitech Wingman Extreme 3D USB joystick, calibrated with the jstest-gtk program.

The controller displayed identical behaviour to the bug report above, with the throttle range influenced by the position of the throttle at game start.
Possible cause

KSP/Unity3D appears to be assuming all controller axis' are zero at game start, and is not reading the current values, this is undesirable in the throttle
which can be non-zero.

Impact

Though this can be worked around, it is not easy to start KSP with the throttle at zero without a calibration program open at the time of game start,
when even a small deviation from zero can prevent the full use of the throttle axis there is a marked affect on gameplay.

#2 - 04/05/2014 07:26 AM - Unit327

| have found that messing with the scale parameter in settings.cfg and setting it to greater than 1 can somewhat alleviate this issue.

AXIS_THROTTLE
{
name = Mega World USB Game Cont. Axis 2
id = Jjoy0.2
inv = False
sensitivity =1
deadzone = 0
scale = 1.2
group = 0
switchState = Any
}

http://forum.kerbalspaceprogram.com/threads/24529-The-Linux-compatibility-thread%21 ?p=1068272&viewfull=1#post1068272

#3 - 08/11/2014 02:15 AM - steve_v

For the record, this is extremely aggravating. Same results with Saitek Cyborg 5, Logitech attack 3.

#4 - 08/11/2014 06:00 AM - colmo

| can confirm this bug with a Thrustmaster T-Flight Hotas X.

In addition, pitch and yaw also cannot be properly zeroed, meaning both are to the 'right' according to the indicators in the bottom left. The joystick is
at present unusable as a result.

#5 - 10/24/2014 12:32 AM - politas

| can confirm that this is still an issue in 0.24.2

#6 - 04/29/2015 04:31 AM - pokemane

Can confirm that this still happens in 1.0, with a T-Flight Hotas X. Can also re-confirm that it is extremely frustrating and renders the joystick
unusable.

#7 - 05/08/2015 08:19 PM - sbabbi

Can confirm still happens in 1.0.2, with Force Feedback Pro 2.
jstest /dev/input/jsO correctly report the throttle axis between -32767 and +32767.
http://forum.kerbalspaceprogram.com/threads/24529-The-Linux-compatibility-thread%21?p=1068272&viewfull=1#post1068272

#8 - 05/20/2016 08:56 AM - raath
- Version changed from 0.19.1 to 1.1.2

Still an issue on 1.1.2

#9 - 07/17/2016 09:55 AM - TriggerAu
- Status changed from Confirmed to Needs Clarification

- % Done changed from 10 to 0

#10 - 12/04/2017 12:35 PM - JLSalvador

- Version changed from 1.1.2 to 1.3.1

Still an issue on 1.3.1

What is your input manager? Unity3D default input manager?

Maybe you could check Rewired as Input Manager (available in the unity3d assetstore). It could fix some others bugs like max 20 buttons per input,

vibration feedback, or hot-plug inputs.

#11 - 02/16/2018 11:59 PM - cab404
confirm on 1.3.1.1891

Files

game start with throttle max, max throttle.jpeg
game start with throttle max, medium throttle.jpeg
game start with throttle max, min throttle.jpeg

game start with throttle min, max throttle.jpeg

game start with throttle min, medium throttle.jpeg
game start with throttle min, min throttle.jpeg

game start with throttle neutral, max throttle.jpeg
game start with throttle neutral, medium throttle.jpeg
game start with throttle neutral, min throttle.jpeg
joystick settings.jpeg
